import { renderless, api } from '@opentinyvue/vue-renderless/breadcrumb/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import BreadcrumbItem from '@opentinyvue/vue-breadcrumb-item';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    TinyBreadcrumbItem: BreadcrumbItem
  },
  props: [].concat(props, ["separator", "separatorIcon", "textField", "options", "size"]),
  provide: function provide() {
    return {
      breadcrumb: this
    };
  },
  emits: ["select"],
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-breadcrumb",
    attrs: {
      "aria-label": "Breadcrumb",
      "role": "navigation"
    }
  }, [_vm._t("default", function() {
    return _vm._l(_vm.options, function(item, index) {
      return _c("tiny-breadcrumb-item", {
        key: index,
        attrs: {
          "option": item,
          "label": item[_vm.textField],
          "to": item.to,
          "replace": item.replace
        }
      });
    });
  })], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
